// static/nativeComponents/GoodsSearch/index.js
let app = getApp()
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    datas: {
      type: Object
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    backgroundColor : '',
    borderColor : '',
    placeholderValue : '',
    searchScopeFlag: 0
  },
  ready(){
    this.setData({
      backgroundColor: this.data.datas.componentData["showStyle"] == 1 &&
        this.data.datas.componentData["backgroundColorShow"] ? this.data.datas.componentData["backgroundColor"] : "rgba(224, 224, 224, 0)",
    })

    if (this.data.datas.componentData["showStyle"] == 0){
      this.setData({
        borderColor : this.data.datas.componentData["borderColorShow"]
          ? this.data.datas.componentData["borderColor"]
          : "rgba(224, 224, 224, 0)"
      })
    }else{
      this.setData({
        borderColor: 'transparent'
      })
    }

    this.setData({
      placeholderValue: this.data.datas.componentData.placeHolderVal ? this.data.datas.componentData.placeHolderVal : '搜索店铺内'
    })
  },

  /**
   * 组件的方法列表
   */
  methods: {
    toSearchPage(e){
      app.trackCpn(e, this.data.datas.componentName)
      const placeHolderText = this.data.datas.componentData["placeHolderVal"] || "";
      let query = `?placeHolderText=${placeHolderText}`;
      if (this.data.datas.componentData['searchModel'] == 1) {
        query += `&searchScopeFlag=${this.data.searchScopeFlag}`;
        // 重置默认全网搜
        this.setData({ searchScopeFlag: 0 });
      }
      let link = `/contentSearch/contentSearch${query}`;
      if (this.data.datas.componentData['searchModel'] == 1 && this.data.searchScopeFlag == 0) {
        link = `/goodsSearch/searchAllGoods${query}`;
      }
      app.$themeToLink({ type: 1, link });
    },
    // 本店搜
    handleSearchLocal() {
      this.setData({ searchScopeFlag: 1 });
    },
    // 全网搜
    handleSearchAll() {
      this.setData({ searchScopeFlag: 0 });
    },
    // 扫码搜功能
    handleScan() {
      app.themeScanningCodeClick();
    }
  }
})
